Get metadata counts for all non-system catalogs
curl --request GET \
--url https://api.example.com/api/metastore/catalogs/metadata \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/metastore/catalogs/metadata"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/metastore/catalogs/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"catalogs": {}
}{
"error": "<string>",
"code": 500
}Catalogs
Get metadata counts for all non-system catalogs
Get schema, table, and view counts for all non-system catalogs from Trino.
This is a separate and potentially slow call. The portal fetches the catalogs
after rendering the catalog list from the Get catalog details endpoint.
GET
/
api
/
metastore
/
catalogs
/
metadata
Get metadata counts for all non-system catalogs
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Response
Catalog metadata retrieved successfully.
Map of catalog name to metadata counts. Null if fetch failed.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

